package com.gci.boot.modules.vehicles.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gci.boot.modules.vehicles.entity.TbAccidentInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gci.boot.modules.vehicles.query.AccidentInfoQuery;

/**
 * <p>
 * 事故信息基础表 服务类
 * </p>
 *
 * @author 2464
 * @since 2023-09-13
 */
public interface ITbAccidentInfoService extends IService<TbAccidentInfo> {

    IPage<TbAccidentInfo> pageBuild(Page<TbAccidentInfo> page, AccidentInfoQuery query);

    void saveItem(TbAccidentInfo tbAccidentInfo);

    void updateItem(TbAccidentInfo tbAccidentInfo);

    void removeItem(String id);

    TbAccidentInfo getItemById(String id);
}
